# DnsDomainChecker

A domain availability checker using DNS. Nearly as accurate as Whois and you won't get an error if you make too many calls.

## Installation

Add this line to your application's Gemfile:

    gem 'dns_domain_checker'

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install dns_domain_checker

## Usage

	require 'dns_domain_checker'

	DnsDomainChecker.available('google.com')
	# => false

	DnsDomainChecker.available('asdlfasdfasdfasdfasdfasdfasdf.com')
	# => true

## Contributing

1. Fork it ( http://github.com/<my-github-username>/dns_domain_checker/fork )
2. Create your feature branch (`git checkout -b my-new-feature`)
3. Commit your changes (`git commit -am 'Add some feature'`)
4. Push to the branch (`git push origin my-new-feature`)
5. Create new Pull Request
