require 'spec_helper'

describe DnsDomainChecker do
  it "should not be nil" do
    element_data = DnsDomainChecker.available('google.com')
    element_data.should_not be_nil
  end

  it "should return false availability" do
    element_data = DnsDomainChecker.available('google.com')
    element_data.should be_false
  end

  it "should return true availability" do
    element_data = DnsDomainChecker.available('asdlfasdfasdfasdfasdfasdfasdf.com')
    element_data.should be_true
  end
end